%define anolis_release 1

Name:           mm-common
Version:        1.0.6
Release:        %{anolis_release}%{dist}

Summary:        Common build files of the C++ bindings

BuildArch:      noarch
License:        GPLv2+
URL:            https://gtkmm.org
Source0:        https://download.gnome.org/sources/%{name}/1.0/%{name}-%{version}.tar.xz

BuildRequires:  meson

Requires:       doxygen
Requires:       graphviz
Requires:       libxslt
Requires:       pkgconfig

%description
The mm-common module provides the build infrastructure and utilities
shared among the GNOME C++ binding libraries.  It is a required dependency
to build glibmm and gtkmm from git.

%package doc
Summary:        Documentation for %{name}, includes example mm module skeleton
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description doc
Package contains short documentation for %{name} and example skeleton module,
which could be used as a base for new mm module.

%prep
%autosetup

%build
%meson
%meson_build

%install
%meson_install

%generate_compatibility_deps

%files
%license COPYING
%dir %{abidir}
%{_mandir}/man1/*
%{_bindir}/*
%{abidir}/*-option.list
%{_datadir}/aclocal/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_datadir}/pkgconfig/*.pc

%files doc
%dir %{_docdir}/%{name}
%{_docdir}/%{name}/*
%doc OVERVIEW.md README.md NEWS

%changelog
* Thu Feb 20 2025 Hong Wei Qin <qhw01063182@alibaba-inc.com> - 1.0.6-1
- Sync up from CentOS Stream mm-common-1.0.6-6 (tdawson@redhat.com)

* Fri Mar 24 2023 yuanhui <yuanhui@linux.alibaba.com> - 1.0.5-1
- Init package from upstream
